com.fasterxml.jackson.databind.util

## Class IgnorePropertiesUtil.Checker

- java.lang.Object
- - com.fasterxml.jackson.databind.util.IgnorePropertiesUtil.Checker

All Implemented Interfaces:
  Serializable

Enclosing class:
  IgnorePropertiesUtil

    public static final class IgnorePropertiesUtil.Checker
    extends Object
    implements Serializable

Helper class to encapsulate logic from static `shouldIgnore` method of util class.

See Also:
  Serialized Form

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static IgnorePropertiesUtil.Checker` `construct(Set<String> toIgnore, Set<String> toInclude)`
`boolean` `shouldIgnore(Object propertyName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### construct

    public static IgnorePropertiesUtil.Checker construct(Set<String> toIgnore,
                                                         Set<String> toInclude)

#### shouldIgnore

    public boolean shouldIgnore(Object propertyName)